Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class AbstractRecordFilter

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordFilter

All Implemented Interfaces:
  RecordFilter, RecordReader, RecordWriter

Direct Known Subclasses:
  RecordReaderFilterAdaptor, RecordWriterFilterAdaptor, SqlBatchWriter

    public abstract class AbstractRecordFilter

extends java.lang.Object
implements RecordFilter

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordWriter
`RecordWriter.DefaultDiscardWriter, RecordWriter.NullRecordWriter`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordFilter
`NULL`

Fields inherited from interface com.servingxml.components.recordio.RecordWriter
`DEFAULT_DISCARD_WRITER`

Constructor Summary
`AbstractRecordFilter()`

Method Summary
`void` | `close()`
`void` | `discardRecord(ServiceContext context, Flow flow, ServingXmlException e)`
`void` | `endRecordStream(ServiceContext context, Flow flow)`
`RecordWriter` | `getDiscardWriter()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`RecordReader` | `getRecordReader()`
`RecordWriter` | `getRecordWriter()`
`void` | `readRecords(ServiceContext context, Flow flow)`
`void` | `setDiscardWriter(RecordWriter discardWriter)`
`void` | `setRecordReader(RecordReader recordReader)`
`void` | `setRecordWriter(RecordWriter recordWriter)`
`void` | `startRecordStream(ServiceContext context, Flow flow)`
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRecordFilter

    public AbstractRecordFilter()

Method Detail

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `RecordReader`

### getExpirable

    public Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `RecordReader`

### readRecords

    public void readRecords(ServiceContext context,
                            Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

### startRecordStream

    public void startRecordStream(ServiceContext context,
                                  Flow flow)

  Specified by:
    `startRecordStream` in interface `RecordWriter`

### endRecordStream

    public void endRecordStream(ServiceContext context,
                                Flow flow)

  Specified by:
    `endRecordStream` in interface `RecordWriter`

### writeRecord

    public void writeRecord(ServiceContext context,
                            Flow flow)

  Specified by:
    `writeRecord` in interface `RecordWriter`

### setRecordReader

    public void setRecordReader(RecordReader recordReader)

  Specified by:
    `setRecordReader` in interface `RecordFilter`

### getRecordWriter

    public RecordWriter getRecordWriter()

  Specified by:
    `getRecordWriter` in interface `RecordReader`

### setRecordWriter

    public void setRecordWriter(RecordWriter recordWriter)

  Specified by:
    `setRecordWriter` in interface `RecordReader`

### getDiscardWriter

    public RecordWriter getDiscardWriter()

  Specified by:
    `getDiscardWriter` in interface `RecordReader`

### setDiscardWriter

    public void setDiscardWriter(RecordWriter discardWriter)

  Specified by:
    `setDiscardWriter` in interface `RecordReader`

### getRecordReader

    public RecordReader getRecordReader()

### close

    public void close()

  Specified by:
    `close` in interface `RecordWriter`

### discardRecord

    public void discardRecord(ServiceContext context,
                              Flow flow,
                              ServingXmlException e)

  Specified by:
    `discardRecord` in interface `RecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD